fmt_humank(3)

NAME
fmt_humank - write a human readable ASCII representation of a long integer

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_humank(char *dest,unsigned long long source);

DESCRIPTION
fmt_humank writes a human readable ASCII representation of source to dest and returns the number of bytes written. The result resembles the file size output of "ls -h"; 1024 becomes "1.0k", 1048576 becomes "1.0M" and so on for "G" and "T".

fmt_humank does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_humank returns the number of bytes it would have written.

The output of fmt_humank can not exceed 11 (assuming unsigned long long has 64 bits).

SEE ALSO
fmt_human(3), scan_humank(3)